# Class CertStoreCallback

java.lang.Object
jakarta.security.auth.message.callback.CertStoreCallback

All Implemented Interfaces:
  `Callback`

public class CertStoreCallback extends Object implements Callback
Callback that enables a runtime to inform authentication modules of the `CertStore` to use for certificate validation. The runtime populates the CertStore, and the authentication module retrieves it.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CertStoreCallback()`
  Constructs an empty CertStoreCallback.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CertStore`
  `getCertStore()`
  Returns the CertStore set by the runtime.
  `void`
  `setCertStore(CertStore certStore)`
  Sets the CertStore to be used for certificate validation.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CertStoreCallback

    public CertStoreCallback()
    Constructs an empty CertStoreCallback. The runtime will populate the CertStore via `setCertStore(CertStore)`.

- ## Method Details

  - ### setCertStore

    public void setCertStore(CertStore certStore)
    Sets the CertStore to be used for certificate validation.
    Parameters:
      `certStore` - the CertStore

  - ### getCertStore

    public CertStore getCertStore()
    Returns the CertStore set by the runtime.
    Returns:
      the CertStore, or `null` if not yet set